Page MenuHomePhabricator

Full screen view shows a small image instead of large image
Closed, ResolvedPublic

Description

Media-Viewer-Full-Screen-Uses-Small-Image

Sometimes the Media Viewer's full screen view shows the smaller image from the light box -- and never shows the larger image that's supposed fill the screen (see attached screenshot).

Media Viewer should only show the largest image it can in full screen mode, to fill the screen. The smaller image from the light box should disappear as soon as we go to full screen, and be replaced by a spinning 'loading' icon, set against an empty white background.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz56454

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:28 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz56454.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Nov 1 2013, 11:57 AM

I would recommend scaling up that original thumbnail to your intended display size *and* overlying a spinner on it while loading up the large image.

That would avoid an ugly "flash to white screen" while the box loads.

aalekh1993 wrote:

can we set height:100%; in .mlb-fullscreen-div .mlb-main in multilightbox.css file to solve the bug ....if not can you please give additional infortmation to solve the bug .?

Aalekh: Have you tested your proposed change, either by running a local MediaWiki instance or at least in your browser (CSS development tools)?
You should - it's part of the process when fixing bugs, and you should describe the outcome of your test here (&in the commit message of a Gerrit patch). :)

This happens to me on beta right now, with Firefox/OS X. When entering fullscreen a tiny image appears instead of one that takes the whole screen. It only does that on the current image, when navigating next/prev, the other images are the right size. When reopening the lightbox the affected image stays "stuck" at the wrong size.

Resizing the window is affected by a similar issue.

Change 115565 had a related patch set uploaded by Aarcos:
WIP Fix resize issues (Part I)

https://gerrit.wikimedia.org/r/115565

Change 115565 merged by jenkins-bot:
WIP Fix resize issues (Part I)

https://gerrit.wikimedia.org/r/115565

Change 115678 had a related patch set uploaded by Aarcos:
Fix resize issues (Part II)

https://gerrit.wikimedia.org/r/115678

Change 115678 merged by jenkins-bot:
Fix resize issues (Part II)

https://gerrit.wikimedia.org/r/115678

Change 116685 had a related patch set uploaded by Aarcos:
Fix resize issues (Part III, Fin)

https://gerrit.wikimedia.org/r/116685

Tgr added a comment.Mar 4 2014, 8:26 AM
  • Bug 62169 has been marked as a duplicate of this bug. ***

Change 116685 merged by jenkins-bot:
Fix resize issues (Part III, Fin)

https://gerrit.wikimedia.org/r/116685

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:22 AM